Subject: [trill] 答复: Two comments on draft-ietf-trill-aa-multi-attach-00

From: Haoweiguo <[email-masked]>
Date: Mon, 4 Aug 2014 13:09:08 +0000

Hi Mingui,
Thanks for your detail explanation.
In your draft, DRNI defined in IEEE is refered and it has not become the deployed standard yet. So I am not too sure how our internal implementation works for MC-LAG.
Another issue is even we have MC-LAG based on hashing function to select a single exit point, is such information available to TRILL protocol layer? I kind of think such info is under the trill layer. But I am not too sure whether such implementation can be done.
weiguo

________________________________________
发件人: Mingui Zhang [[email-masked]]
发送时间: 2014年7月31日 17:54
收件人: Haoweiguo
抄送: [email-masked]
主题: Re: [trill] Two comments on draft-ietf-trill-aa-multi-attach-00

Hi Weiguo,

Thanks for posting the comments to the list. Let me clarify them.

1. It's possible to design a DF election algorithm to meet the 'single exit point' requirement. It did not become our design due to the complexity. The hashing function is a mandatory function of MC-LAG, we believe it's simpler to make use of it to determine the single exit point.

2. I think we have covered the scenarios about "local bias forwarding procedures" in Appendix a, d and e. This behavior is actually not new staff. Please see paragraph 3 of Section 4.6.1.2 in RFC 6325. (There was ever a lot of discussion about this issue.)

"For all multi-destination native frames, RB1 forwards the frame in
   native form to its links..."

The basic idea is that if there are end nodes that can be reached from local ports, packets should be bounced to these ports rather than hair-pined to these end nodes across the TRILL campus. Since the hair-pin has been cut off by the split-horizon.

Thanks,
Mingui

>-----Original Message-----
>From: Haoweiguo
>Sent: Thursday, July 31, 2014 2:53 PM
>To: Mingui Zhang
>Cc: [email-masked]
>Subject: Two comments on draft-ietf-trill-aa-multi-attach-00
>
>Hi Mingui,
>
>In section 5.3.1, no duplication mechanism is described. I think DF election
>should be used instead of HASH mechanism.
>
>It's hard to realize consistent cross RBridge HASH algorithm, each RBridge
>should know other RBridge's local port and port up/down state, i have not ever
>seen similar implementation in industry.
>
>
>
>In section 5.3.2 , split-horizon mechanism is described. I think the solution had
>better add local bias forwarding procedures.
>
>I think the solution should be local bias forwarding plus split-horizon based on
>ingress nickname. What's local bias forwarding behavior? If there are multiple
>ESs(assuming ES1 and ES2 are in same VLAN) are connected to same RBridge of
>RB1,  when RB1 receives BUM traffic from ES1, it should local forwarded to ES2
>no matter the DF state on the port connecting to ES2, this is called Local bias
>forwarding behavior.
>Then RB1 injects the BUM traffic to TRILL campus and forward to RB2, if local
>port belongs to a MC-LAG and the MC-LAG attaches to RB1, then RB2 should
>drop the traffic to the local port based on ingress nickname tracking and
>filtering.
>
>
>
>Thanks
>
>weiguo

---

From: Mingui Zhang <[email-masked]>
Date: Tue, 5 Aug 2014 02:25:55 +0000

Hi Weiguo,

You mentioned the DF election algorithm. It can be classified as a hashing function as well. If it elects DF per VLAN, we can well say it's a hashing function taking VLAN as the input. So, I think this is simply a terminology dispute. The architecture of aa-multi-attach allows proprietary 'hashing' implementations. As long as such implementations meet the requirement: single exit point.

Since the Local Active-Active Link Protocol (LAALP (As agreed previously, the term MC-LAG will be replaced by LAALP in the next version)) should have designed such hashing function, we should not re-design it. Think about the inconsistence issue that may be caused by the hashing functions designed by different communities.  

By the way, it's not strange to have TRILL switches listen to the 'under' layer PDUs. Please look at RFC6325. Think about the fact that TRILL switches listen to BPDUs.

Thanks,
Mingui

>Sent: Monday, August 04, 2014 9:09 PM
>To: Mingui Zhang
>Cc: [email-masked]
>Subject: 答复: [trill] Two comments on draft-ietf-trill-aa-multi-attach-00
>
>Hi Mingui,
>In your draft, DRNI defined in IEEE is refered and it has not become the deployed
>standard yet. So I am not too sure how our internal implementation works for
>MC-LAG.
>Another issue is even we have MC-LAG based on hashing function to select a
>single exit point, is such information available to TRILL protocol layer? I kind of
>think such info is under the trill layer. But I am not too sure whether such
>implementation can be done.
>weiguo
>
>1. It's possible to design a DF election algorithm to meet the 'single exit point'
>requirement. It did not become our design due to the complexity. The hashing
>function is a mandatory function of MC-LAG, we believe it's simpler to make use
>of it to determine the single exit point.
>
>2. I think we have covered the scenarios about "local bias forwarding
>procedures" in Appendix a, d and e. This behavior is actually not new staff.
>Please see paragraph 3 of Section 4.6.1.2 in RFC 6325. (There was ever a lot of
>discussion about this issue.)
>
>The basic idea is that if there are end nodes that can be reached from local ports,
>packets should be bounced to these ports rather than hair-pined to these end
>nodes across the TRILL campus. Since the hair-pin has been cut off by the
>split-horizon.
>
>Thanks,
>Mingui
>